=begin rdoc
= Perpendicular Face Tools
Copyright 2009, Chris Fullmer
All Rights Reserved

== Disclaimer
THIS SOFTWARE IS PROVIDED "AS IS" AND WITHOUT ANY EXPRESS OR IMPLIED WARRANTIES,
INCLUDING, WITHOUT LIMITATION, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS
FOR A PARTICULAR PURPOSE.

== License
Portions of the code Copyright 2005-2007, Google, Inc. and can be found in utilities.rb that comes with Sketchup.
The rest is Copyright 2009, Chris Fullmer
You may not alter, publish, market, distribute, give, transfer, sell or sublicense the Scripts or any part of this Script.

== Information
See clf_perpendicular_face_tools.rb inside the folder by the same name for further details.
=end

require 'sketchup.rb'
require 'extensions.rb'


#Register the Sandbox Tools with SU's extension manager
ext = SketchupExtension.new("Perpendicular Face Tools", "clf_perpendicular_face_tools/clf_perpendicular_face_tools.rb")
ext.name = "Perpendicular Face Tools"
ext.description = "Make a square, circle, or pre-defined face perpendicular to the end of a line (useful for follow me workflows)"
ext.version = "1.0"
ext.creator = "Chris Fullmer, distributed at www.sketchucation.com"
ext.copyright = "2009, Chris Fullmer"

Sketchup.register_extension(ext, true)
